#!/bin/bash

id=$1
rec_chn=$2
lig_chn=$3

`./PI_LZerD.pl $id $rec_chn $lig_chn`

[ $? -eq 0 ] || exit; s=`expr $s + 1`

export PDB_ID=$id
export REC_CHN=$rec_chn
export LIG_CHN=$lig_chn

N=`grep -c job.sh$ $0`
s=1

echo "PDB_ID: $id REC_CHN: $rec_chn LIG_CHN: $lig_chn"
echo "Step $s/$N: Mark surface residues"
./LZerD/01.BASE/job.sh
[ $? -eq 0 ] || exit; s=`expr $s + 1`

echo "Step $s/$N: Critical points using GETPOINTS"
./LZerD/01.BASE/CP/job.sh
[ $? -eq 0 ] || exit; s=`expr $s + 1`

echo "Step $s/$N: Zernike Descrition"
./LZerD/01.BASE/INV/job.sh
[ $? -eq 0 ] || exit; s=`expr $s + 1`

echo "Step $s/$N: Prediction with reference information using LZerD program"
./LZerD/02.MPI/01.LZerD_MPI/job.sh
[ $? -eq 0 ] || exit; s=`expr $s + 1`

echo "Step $s/$N: Rotation matrics information preparation for scoring and IRMSD computation"
./LZerD/02.MPI/02.LZerD_MAT/job.sh
[ $? -eq 0 ] || exit; s=`expr $s + 1`

echo "Step $s/$N: Scoring computation"
./LZerD/02.MPI/03.SRB_MPI/job.sh
[ $? -eq 0 ] || exit; s=`expr $s + 1`

echo "Step $s/$N: Critical points dependencies"
./LZerD/03.Votes/job.sh
[ $? -eq 0 ] || exit; s=`expr $s + 1`

echo "Step $s/$N: Predictions are sorted by physical based scores"
./LZerD/04.ORD_SRB/job.sh
[ $? -eq 0 ] || exit; s=`expr $s + 1`

echo "Step $s/$N: Pairwise CI_RMSD on top 1000 predictions"
./LZerD/05.CI_RMSD/job.sh
[ $? -eq 0 ] || exit; s=`expr $s + 1`

echo "Step $s/$N: Clustered predictions with CI_RMSD"
./LZerD/06.LZerD_CIRMSD/job.sh
[ $? -eq 0 ] || exit; s=`expr $s + 1`

echo "Step $s/$N: Prediction results from meta-PPISP server in PDB format"
./PI_LZerD/01.Pred_PPI/01.Pred_PPI_pdb/job.sh
[ $? -eq 0 ] || exit; s=`expr $s + 1`

echo "Step $s/$N: Critical points belonging to predicted interface residues"
./PI_LZerD/01.Pred_PPI/02.PPI_CP/job.sh
[ $? -eq 0 ] || exit; s=`expr $s + 1`

echo "Step $s/$N: Predicted interface residues"
./PI_LZerD/01.Pred_PPI/03.PPI_RES/job.sh
[ $? -eq 0 ] || exit; s=`expr $s + 1`

echo "Step $s/$N: First LZerD iteration using predicted interface residues"
./PI_LZerD/02.Sim_LZerD/job.sh
[ $? -eq 0 ] || exit; s=`expr $s + 1`

echo "Step $s/$N: Pair-wise CI_RMSD distances on top 1000 predictions"
./PI_LZerD/03.LZerD_CIRMSD/job.sh
[ $? -eq 0 ] || exit; s=`expr $s + 1`

echo "Step $s/$N: Clustering on top 1000 predictions base on CI_RMSD distances"
./PI_LZerD/04.CIRMSD_CLUST/job.sh
[ $? -eq 0 ] || exit; s=`expr $s + 1`

echo "Step $s/$N: Top 60 clustered predictions"
./PI_LZerD/05.CLUST_T60/job.sh
[ $? -eq 0 ] || exit; s=`expr $s + 1`

echo "Step $s/$N: Simple residue filtering method on predicted interface"
./PI_LZerD/06.SRF/job.sh
[ $? -eq 0 ] || exit; s=`expr $s + 1`

echo "Step $s/$N: Second LZerD iteration using 60 clustered prediction"
./PI_LZerD/07.T60_Iter/job.sh
[ $? -eq 0 ] || exit; s=`expr $s + 1`

echo "Step $s/$N: 60 x Pair-wise CI_RMSD distances on top 1000 predictions"
./PI_LZerD/08.K60_CIRMSD/job.sh
[ $? -eq 0 ] || exit; s=`expr $s + 1`

echo "Step $s/$N: Re_rank using 61 prediction lists"
./PI_LZerD/09.T61/job.sh
[ $? -eq 0 ] || exit; s=`expr $s + 1`

echo "Step $s/$N: Generating predictions"
./PI_LZerD/10.Result/job.sh
[ $? -eq 0 ] || exit; s=`expr $s + 1`

echo done
