#!/usr/bin/perl
use File::Basename;
# ../cluster_cog_dist/cog_pdb/*.pdb ../cluster_lig_rmsd/result/*.dist

($pdb)=@ARGV;
die "Usage: ?@ARGV" unless ($pdb);
$base=basename($pdb);
print "cgo_name='$base.cgo'\n";

@atoms=();
@irmsd=();
open PDB, "<$pdb" or die "$pdb?";
while (<PDB>) {
  next unless (/^.{21}C.{8}(.{8})(.{8})(.{8}).{6}(.{6})/);
  push(@atoms, join(',', $1+0,$2+0,$3+0));
  push(@irmsd, $4+0);
}

sub atoms() {
  for ($i=0; $i<@atoms; $i++) {
    next if ($irmsd[$i]>4.0);
    if ($irmsd[$i]<=2.5) {
      print "COLOR, 1.0, 0.1, 0.0,\n";
    } else {
      print "COLOR, 0.1, 1.0, 0.0,\n";
    }
    print "SPHERE, $atoms[$i],0.30,\n";
  }
}

sub lines {
  print "COLOR, 0.8, 0.8, 0.8,\n";
  while (<STDIN>) { s/\|/ /g;
    ($i,$j,$d,$nO,$nX)=split();
    #next if ($nO/($nX+.1)<0.25);
    print "# $i $j $d\n";
    print "VERTEX, $atoms[$i],\n";
    print "VERTEX, $atoms[$j],\n";
  }
}

while (<DATA>) {
  if (/VERTEX/) {
    lines(); next;
  } elsif (/SPHERE/) {
    atoms(); next;
  }
  print;
}

__END__
from pymol.cgo import *
from pymol import cmd
lines = [
   LINEWIDTH, 1.0,
   BEGIN, LINES,
   VERTEX,    5.000,    5.000,    5.000,
   END
   ]

atoms = [
   COLOR,    0.100,    1.000,    0.000,
   SPHERE,   30.304,   30.407,   30.531,0.30,
    ]

cmd.load_cgo(lines+atoms, cgo_name, 1)

