#!/usr/bin/perl

print <<HEAD
set term png size 1024, 768 
#set xlabel "Rank (logarithmic scale)"
set xlabel "Rank"
set ylabel "%Correct predictions"
set yrange [0:100]
set key right bottom
#unset logscale x
#set nokey
#set label 20 "A" at 2, 90  front nopoint tc def
HEAD
;
foreach $txt (@ARGV) {
  $png=$txt; $png=~s/txt$/png/;
  print "set output '$png'\nset title \"$png\"\n";
  $plot = "plot \"< grep '^CI_RMSD.25 ' $txt\" using 2:7 w l title '$txt 25A', \\\n"
  	. "\"< grep '^CI_RMSD.40 ' $txt\" using 2:7 w l title '$txt 40A'";
  print "unset logscale x\n$plot\n";
  $png=$txt; $png=~s/txt$/log.png/;
  print "set output '$png'\nset title \"$png\"\n";
  print "set logscale x\n$plot\n";
}

__END__
set term png size 1024, 768 
#set xlabel "Rank (logarithmic scale)"
set xlabel "Rank"
set ylabel "%Correct predictions"
set yrange [0:100]
set key right bottom
#unset logscale x
#set nokey
#set label 20 "A" at 2, 90  front nopoint tc def

set output 'ci_rmsd .25.png'
set title "Merge62 (2.5A)"
plot "< grep '^top25 ' gnuplot.dat" using 2:7 w l title 'Merge 60', \
 "< grep '^top25 ' gnuplot.dat" using 2:7 w l title 'Merge 62'

set logscale x

ci_rmsd.1k.lnk.10.txt
ci_rmsd.1k.lnk.txt
ci_rmsd.1k.srb.10.txt
ci_rmsd.1k.srb.txt

ci_rmsd.2k.lnk.10.txt
ci_rmsd.2k.lnk.txt
ci_rmsd.2k.srb.10.txt
ci_rmsd.2k.srb.txt

CI_RMSD.25 1 14 / 124 = 11.2903225806452
CI_RMSD.25 5 37 / 124 = 29.8387096774194
CI_RMSD.25 10 43 / 124 = 34.6774193548387
CI_RMSD.25 30 50 / 124 = 40.3225806451613
CI_RMSD.25 50 55 / 124 = 44.3548387096774
CI_RMSD.25 100 60 / 124 = 48.3870967741936
CI_RMSD.25 200 67 / 124 = 54.0322580645161
CI_RMSD.25 300 71 / 124 = 57.258064516129
CI_RMSD.25 500 74 / 124 = 59.6774193548387
CI_RMSD.25 800 80 / 124 = 64.5161290322581
