#!/usr/bin/perl
use File::Basename;

($shift)=@ARGV;
%dist=();

sub dist2 {
  ($id)=@_;
  open DIST2, "<$id.dist2" or die "$id";
  while (<DIST2>) {
    ($r, $l, $d)=split();
    $dist{"$id.$r.$l"}++;
  }
}

%R=(); %L=();

sub TODO {
  ($kR, $kL)=@_;
  $id=substr($kR,0,4);
  %cR=(); %cL=();
  foreach $rr (@{$R{$kR}}) {
    foreach $ll (@{$L{$kL}}) {
      next unless exists $dist{"$id.$rr.$ll"};
      $cR{$rr}++; $cL{$ll}++;
    }
  }
  
  $nR=@{$R{$kR}}; $nL=@{$L{$kL}};
  $total=$nR+$nL;
  
  $ncR=keys %cR; $ncL=keys %cL;
  $conserved=$ncR+$ncL;
  
  $percent=0;
  $percent=$conserved*100/$total if $total;
  print "$id seed(R/L $r/$l) $total ($nR+$nL) $conserved ($ncR+$ncL) $percent %\n";
}

sub pair {
  foreach $r (@Rs) {
    foreach $l (@Ls) {
      TODO($r, $l);
    }
  }
  @Rs=(); @Ls=();
}

open SHIFT, "<$shift" or die "$shift";
@Rs=(); @Ls=();
while (<SHIFT>) {
  #1A2K_rb_182_10_25.pdb R 144 147 162 163 176 178 179 180 181 182 183 184 185 187 210 211 212 213 214 215 216 217 218 240 242
  die $_ unless (/^(....)_([rl])b_(\d+)_(\d+)_(\d+).pdb/);
  ($id, $rl, $seed, $nshift, $nres)=($1,$2,$3,$4,$5);
  $key="$id.$seed";
  if ($curId && $curId ne $id) { pair(); } $curId=$id;

  if (/_rb_/) {
    push(@Rs, $key);
    while (/ (\d+)/g) { push(@{$R{$key}}, $1); }
  } elsif (/_lb_/) {
    push(@Ls, $key);
    while (/ (\d+)/g) { push(@{$L{$key}}, $1); }
  } else {
    die $_;
  }
  dist2($id);
}

pair();

__END__

#!/usr/bin/perl

@Rs=(); @Ls=(); $curId="";

sub pair {
  #print "echo $curId ".@Rs." rb vs. ".@Ls." lb\n";
  foreach (@Rs) { chomp(); $r=$_;
    foreach (@Ls) { chomp(); $l=$_;
      print "./vv.sh $r $l\n";
    }
  }
}

foreach (@ARGV) {
  if (/(....)_(.)b_(\d+)_(\d+)_(\d+)\.pdb/) {
    ($pdb, $lr, $res, $nres)=($1,$2,$3,$4);
    if ($curId ne $pdb) {
      if ($curId) { pair(); }
      @Rs=(); @Ls=(); $curId=$pdb;
    }
    if ($lr eq "r") {
      push(@Rs, $_);
    } else {
      push(@Ls, $_);
    }
  } else {
    die $_;
  }
}
if ($curId) { pair(); }
