set term png size 1024, 768 
set term png size 400, 300
set xlabel "Rank (log scale)"
set ylabel "Predictions accuracy"
set yrange [0:100]
set key right bottom
set logscale x
#set nokey
set output '25.0.png'
set label 20 "A" at 2, 90  front nopoint tc def
set title "0 residues shift for hits(2.5A)"
plot 'LZerD.25A.dat' u 1:2 w l title "LZerD", \
  'LZerD.CI_RMSD.25.2k.srb.dat' u 2:7 w l title "LZerD with cluster", \
  "< grep '^CI_RMSD.25 ' plot.0.txt" using 2:7 w l title 'LZerD+PPI', \
  'plot25.0.dat' u 1:6 w l title "Simple Residue Filtering", \
  'S0.25.dat' u 1:6 w l title "PI_LZerD"
set output '40.0.png'
set label 20 "B" at 2, 90  front nopoint tc def
set title "0 residues shift for near hits(4.0A)"
plot 'LZerD.40A.dat' u 1:2 w l title "LZerD", \
  'LZerD.CI_RMSD.40.2k.srb.dat' u 2:7 w l title "LZerD with cluster", \
  "< grep '^CI_RMSD.40 ' plot.0.txt" using 2:7 w l title 'LZerD+PPI', \
  'plot25.0.dat' u 1:6 w l title "Simple Residue Filtering", \
  'S0.40.dat' u 1:6 w l title "PI_LZerD"
set output '25.5.png'
set label 20 "C" at 2, 90  front nopoint tc def
set title "5 residues shift for hits(2.5A)"
plot 'LZerD.25A.dat' u 1:2 w l title "LZerD", \
  'LZerD.CI_RMSD.25.2k.srb.dat' u 2:7 w l title "LZerD with cluster", \
  "< grep '^CI_RMSD.25 ' plot.5.txt" using 2:7 w l title 'LZerD+PPI', \
  'plot25.5.dat' u 1:6 w l title "Simple Residue Filtering", \
  'S5.25.dat' u 1:6 w l title "PI_LZerD"
set output '40.5.png'
set label 20 "D" at 2, 90  front nopoint tc def
set title "5 residues shift for near hits(4.0A)"
plot 'LZerD.40A.dat' u 1:2 w l title "LZerD", \
  'LZerD.CI_RMSD.40.2k.srb.dat' u 2:7 w l title "LZerD with cluster", \
  "< grep '^CI_RMSD.40 ' plot.5.txt" using 2:7 w l title 'LZerD+PPI', \
  'plot25.5.dat' u 1:6 w l title "Simple Residue Filtering", \
  'S5.40.dat' u 1:6 w l title "PI_LZerD"
set output '25.10.png'
set label 20 "E" at 2, 90  front nopoint tc def
set title "10 residues shift for hits(2.5A)"
plot 'LZerD.25A.dat' u 1:2 w l title "LZerD", \
  'LZerD.CI_RMSD.25.2k.srb.dat' u 2:7 w l title "LZerD with cluster", \
  "< grep '^CI_RMSD.25 ' plot.10.txt" using 2:7 w l title 'LZerD+PPI', \
  'plot25.10.dat' u 1:6 w l title "Simple Residue Filtering", \
  'S10.25.dat' u 1:6 w l title "PI_LZerD"
set output '40.10.png'
set label 20 "F" at 2, 90  front nopoint tc def
set title "10 residues shift for near hits(4.0A)"
plot 'LZerD.40A.dat' u 1:2 w l title "LZerD", \
  'LZerD.CI_RMSD.40.2k.srb.dat' u 2:7 w l title "LZerD with cluster", \
  "< grep '^CI_RMSD.40 ' plot.10.txt" using 2:7 w l title 'LZerD+PPI', \
  'plot25.10.dat' u 1:6 w l title "Simple Residue Filtering", \
  'S10.40.dat' u 1:6 w l title "PI_LZerD"
set output '25.12.png'
set label 20 "G" at 2, 90  front nopoint tc def
set title "12 residues shift for hits(2.5A)"
plot 'LZerD.25A.dat' u 1:2 w l title "LZerD", \
  'LZerD.CI_RMSD.25.2k.srb.dat' u 2:7 w l title "LZerD with cluster", \
  "< grep '^CI_RMSD.25 ' plot.12.txt" using 2:7 w l title 'LZerD+PPI', \
  'plot25.12.dat' u 1:6 w l title "Simple Residue Filtering", \
  'S12.25.dat' u 1:6 w l title "PI_LZerD"
set output '40.12.png'
set label 20 "H" at 2, 90  front nopoint tc def
set title "12 residues shift for near hits(4.0A)"
plot 'LZerD.40A.dat' u 1:2 w l title "LZerD", \
  'LZerD.CI_RMSD.40.2k.srb.dat' u 2:7 w l title "LZerD with cluster", \
  "< grep '^CI_RMSD.40 ' plot.12.txt" using 2:7 w l title 'LZerD+PPI', \
  'plot25.12.dat' u 1:6 w l title "Simple Residue Filtering", \
  'S12.40.dat' u 1:6 w l title "PI_LZerD"
set output '25.15.png'
set label 20 "I" at 2, 90  front nopoint tc def
set title "15 residues shift for hits(2.5A)"
plot 'LZerD.25A.dat' u 1:2 w l title "LZerD", \
  'LZerD.CI_RMSD.25.2k.srb.dat' u 2:7 w l title "LZerD with cluster", \
  "< grep '^CI_RMSD.25 ' plot.15.txt" using 2:7 w l title 'LZerD+PPI', \
  'plot25.15.dat' u 1:6 w l title "Simple Residue Filtering", \
  'S15.25.dat' u 1:6 w l title "PI_LZerD"
set output '40.15.png'
set label 20 "J" at 2, 90  front nopoint tc def
set title "15 residues shift for near hits(4.0A)"
plot 'LZerD.40A.dat' u 1:2 w l title "LZerD", \
  'LZerD.CI_RMSD.40.2k.srb.dat' u 2:7 w l title "LZerD with cluster", \
  "< grep '^CI_RMSD.40 ' plot.15.txt" using 2:7 w l title 'LZerD+PPI', \
  'plot25.15.dat' u 1:6 w l title "Simple Residue Filtering", \
  'S15.40.dat' u 1:6 w l title "PI_LZerD"
