#!/usr/bin/perl

print <<HEAD
set term png size 1024, 768 
set term png size 400, 300
set xlabel "Rank (log scale)"
set ylabel "Predictions accuracy"
set yrange [0:100]
set key right bottom
set logscale x
#set nokey
HEAD
;

$A=65;
foreach $shift (0,5,10,12,15) {
$ch=chr($A); $A++;
print <<PLOT
set output '25.$shift.png'
set label 20 "$ch" at 2, 90  front nopoint tc def
set title "$shift residues shift for hits(2.5A)"
plot 'LZerD.25A.dat' u 1:2 w l title "LZerD", \\
  'LZerD.CI_RMSD.25.2k.srb.dat' u 2:7 w l title "LZerD with cluster", \\
  "< grep '^CI_RMSD.25 ' plot.$shift.txt" using 2:7 w l title 'LZerD+PPI', \\
  'plot25.$shift.dat' u 1:6 w l title "Simple Residue Filtering", \\
  'S$shift.25.dat' u 1:6 w l title "PI_LZerD"
PLOT
;
$ch=chr($A); $A++;
print <<PLOT
set output '40.$shift.png'
set label 20 "$ch" at 2, 90  front nopoint tc def
set title "$shift residues shift for near hits(4.0A)"
plot 'LZerD.40A.dat' u 1:2 w l title "LZerD", \\
  'LZerD.CI_RMSD.40.2k.srb.dat' u 2:7 w l title "LZerD with cluster", \\
  "< grep '^CI_RMSD.40 ' plot.$shift.txt" using 2:7 w l title 'LZerD+PPI', \\
  'plot25.$shift.dat' u 1:6 w l title "Simple Residue Filtering", \\
  'S$shift.40.dat' u 1:6 w l title "PI_LZerD"
PLOT
;
}
__END__
  LZerD*.dat: LZerD
  LZerD.CI_RMSD.*.2k.srb.dat: LZerD + clustered
  plot*.txt: LZerD + sim PPI + clustered
  plot*.dat: srf data
  S*.dat: PI_LZerD data

  LZerD.25A.dat
  LZerD.CI_RMSD.25.2k.srb.dat
  plot.0.txt  plot.5.txt  plot.10.txt  plot.12.txt  plot.15.txt
  plot25.0.dat plot25.5.dat plot25.10.dat plot25.12.dat plot25.15.dat
  S0.25.dat  S5.25.dat S10.25.dat S12.25.dat S15.25.dat

  LZerD.40A.dat
  LZerD.CI_RMSD.40.2k.srb.dat
  plot.0.txt  plot.5.txt  plot.10.txt  plot.12.txt  plot.15.txt
  plot40.0.dat plot40.5.dat plot40.10.dat plot40.12.dat plot40.15.dat
  S0.40.dat  S5.40.dat S10.40.dat S12.40.dat S15.40.dat  
