set term png size 1024, 768 
set term png size 400, 300
set xlabel "Rank (log scale)"
set ylabel "Predictions accuracy"
set yrange [0:100]
set key right bottom
set logscale x
#set nokey

set output 'Correct.25.png'
set label 20 "A" at 2, 90  front nopoint tc def
set title "Correct PPI for hits(2.5A)"
plot "< grep '^LZerD.25 ' 02.LZerD/LZerD.dat" u 2:7 w l title "LZerD", \
  "< grep '^LZerD.25 ' 03.LZerD.CIRMSD/LZerD.CIRMSD.dat" u 2:7 w l title "LZerD with cluster", \
  "< grep '^LZerD.25 ' 04.Pred.CIRMSD/Correct.dat" u 2:7 w l title 'LZerD+PPI', \
  "< grep '^LZerD.25 ' 05.SRF/Correct.dat" u 2:7 w l title "Simple Residue Filtering", \
  "< grep '^LZerD.25 ' 06.PI_LZerD/Correct.dat" u 2:7 w l title "PI_LZerD"

set output 'Correct.40.png'
set label 20 "B" at 2, 90  front nopoint tc def
set title "Correct PPI for near hits(4.0A)"
plot "< grep '^LZerD.40 ' 02.LZerD/LZerD.dat" u 2:7 w l title "LZerD", \
  "< grep '^LZerD.40 ' 03.LZerD.CIRMSD/LZerD.CIRMSD.dat" u 2:7 w l title "LZerD with cluster", \
  "< grep '^LZerD.40 ' 04.Pred.CIRMSD/Correct.dat" u 2:7 w l title 'LZerD+PPI', \
  "< grep '^LZerD.40 ' 05.SRF/Correct.dat" u 2:7 w l title "Simple Residue Filtering", \
  "< grep '^LZerD.40 ' 06.PI_LZerD/Correct.dat" u 2:7 w l title "PI_LZerD"

set output 'Meta.25.png'
set label 20 "C" at 2, 90  front nopoint tc def
set title "meta-PPISP prediction for hits(2.5A)"
plot "< grep '^LZerD.25 ' 02.LZerD/LZerD.dat" u 2:7 w l title "LZerD", \
  "< grep '^LZerD.25 ' 03.LZerD.CIRMSD/LZerD.CIRMSD.dat" u 2:7 w l title "LZerD with cluster", \
  "< grep '^LZerD.25 ' 04.Pred.CIRMSD/Meta.dat" u 2:7 w l title 'LZerD+PPI', \
  "< grep '^LZerD.25 ' 05.SRF/Meta.dat" u 2:7 w l title "Simple Residue Filtering", \
  "< grep '^LZerD.25 ' 06.PI_LZerD/Meta.dat" u 2:7 w l title "PI_LZerD"

set output 'Meta.40.png'
set label 20 "D" at 2, 90  front nopoint tc def
set title "meta-PPISP prediction for hits(4.0A)"
plot "< grep '^LZerD.40 ' 02.LZerD/LZerD.dat" u 2:7 w l title "LZerD", \
  "< grep '^LZerD.40 ' 03.LZerD.CIRMSD/LZerD.CIRMSD.dat" u 2:7 w l title "LZerD with cluster", \
  "< grep '^LZerD.40 ' 04.Pred.CIRMSD/Meta.dat" u 2:7 w l title 'LZerD+PPI', \
  "< grep '^LZerD.40 ' 05.SRF/Meta.dat" u 2:7 w l title "Simple Residue Filtering", \
  "< grep '^LZerD.40 ' 06.PI_LZerD/Meta.dat" u 2:7 w l title "PI_LZerD"
